/*******************************************************************
*   NE_SASD_2004_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      OUTPATIENT CHGS FILE INTO SPSS                             
*******************************************************************/


*******************************.
*  Define the data file       *.
*******************************.

DATA LIST FILE = 'NE_SASD_2004_CHGS.ASC' FIXED / 
 KEY                        1-  14
 CHG1                      15-  26
 CHG2                      27-  38
 CHG3                      39-  50
 CHG4                      51-  62
 CHG5                      63-  74
 CHG6                      75-  86
 CHG7                      87-  98
 CHG8                      99- 110
 CHG9                     111- 122
 CHG10                    123- 134
 CHG11                    135- 146
 CHG12                    147- 158
 CHG13                    159- 170
 CHG14                    171- 182
 CHG15                    183- 194
 CHG16                    195- 206
 CHG17                    207- 218
 CHG18                    219- 230
 CHG19                    231- 242
 CHG20                    243- 254
 CHG21                    255- 266
 CHG22                    267- 278
 CHG23                    279- 290
 REVCD1                   291- 294 (A)
 REVCD2                   295- 298 (A)
 REVCD3                   299- 302 (A)
 REVCD4                   303- 306 (A)
 REVCD5                   307- 310 (A)
 REVCD6                   311- 314 (A)
 REVCD7                   315- 318 (A)
 REVCD8                   319- 322 (A)
 REVCD9                   323- 326 (A)
 REVCD10                  327- 330 (A)
 REVCD11                  331- 334 (A)
 REVCD12                  335- 338 (A)
 REVCD13                  339- 342 (A)
 REVCD14                  343- 346 (A)
 REVCD15                  347- 350 (A)
 REVCD16                  351- 354 (A)
 REVCD17                  355- 358 (A)
 REVCD18                  359- 362 (A)
 REVCD19                  363- 366 (A)
 REVCD20                  367- 370 (A)
 REVCD21                  371- 374 (A)
 REVCD22                  375- 378 (A)
 REVCD23                  379- 382 (A)
 UNIT1                    383- 390
 UNIT2                    391- 398
 UNIT3                    399- 406
 UNIT4                    407- 414
 UNIT5                    415- 422
 UNIT6                    423- 430
 UNIT7                    431- 438
 UNIT8                    439- 446
 UNIT9                    447- 454
 UNIT10                   455- 462
 UNIT11                   463- 470
 UNIT12                   471- 478
 UNIT13                   479- 486
 UNIT14                   487- 494
 UNIT15                   495- 502
 UNIT16                   503- 510
 UNIT17                   511- 518
 UNIT18                   519- 526
 UNIT19                   527- 534
 UNIT20                   535- 542
 UNIT21                   543- 550
 UNIT22                   551- 558
 UNIT23                   559- 566.


***  Specify write formats  ***.
FORMATS
 KEY                     (F8.0) /
 CHG1                    (F6.2) /
 CHG2                    (F6.2) /
 CHG3                    (F6.2) /
 CHG4                    (F6.2) /
 CHG5                    (F6.2) /
 CHG6                    (F6.2) /
 CHG7                    (F6.2) /
 CHG8                    (F6.2) /
 CHG9                    (F6.2) /
 CHG10                   (F6.2) /
 CHG11                   (F6.2) /
 CHG12                   (F6.2) /
 CHG13                   (F6.2) /
 CHG14                   (F6.2) /
 CHG15                   (F6.2) /
 CHG16                   (F6.2) /
 CHG17                   (F6.2) /
 CHG18                   (F6.2) /
 CHG19                   (F6.2) /
 CHG20                   (F6.2) /
 CHG21                   (F6.2) /
 CHG22                   (F6.2) /
 CHG23                   (F6.2) /
 UNIT1                   (F4.0) /
 UNIT2                   (F4.0) /
 UNIT3                   (F4.0) /
 UNIT4                   (F4.0) /
 UNIT5                   (F4.0) /
 UNIT6                   (F4.0) /
 UNIT7                   (F4.0) /
 UNIT8                   (F4.0) /
 UNIT9                   (F4.0) /
 UNIT10                  (F4.0) /
 UNIT11                  (F4.0) /
 UNIT12                  (F4.0) /
 UNIT13                  (F4.0) /
 UNIT14                  (F4.0) /
 UNIT15                  (F4.0) /
 UNIT16                  (F4.0) /
 UNIT17                  (F4.0) /
 UNIT18                  (F4.0) /
 UNIT19                  (F4.0) /
 UNIT20                  (F4.0) /
 UNIT21                  (F4.0) /
 UNIT22                  (F4.0) /
 UNIT23                  (F4.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY       "HCUP record identifier"
 CHG1      "Detailed charges 1 (as received from source)"
 CHG2      "Detailed charges 2 (as received from source)"
 CHG3      "Detailed charges 3 (as received from source)"
 CHG4      "Detailed charges 4 (as received from source)"
 CHG5      "Detailed charges 5 (as received from source)"
 CHG6      "Detailed charges 6 (as received from source)"
 CHG7      "Detailed charges 7 (as received from source)"
 CHG8      "Detailed charges 8 (as received from source)"
 CHG9      "Detailed charges 9 (as received from source)"
 CHG10     "Detailed charges 10 (as received from source)"
 CHG11     "Detailed charges 11 (as received from source)"
 CHG12     "Detailed charges 12 (as received from source)"
 CHG13     "Detailed charges 13 (as received from source)"
 CHG14     "Detailed charges 14 (as received from source)"
 CHG15     "Detailed charges 15 (as received from source)"
 CHG16     "Detailed charges 16 (as received from source)"
 CHG17     "Detailed charges 17 (as received from source)"
 CHG18     "Detailed charges 18 (as received from source)"
 CHG19     "Detailed charges 19 (as received from source)"
 CHG20     "Detailed charges 20 (as received from source)"
 CHG21     "Detailed charges 21 (as received from source)"
 CHG22     "Detailed charges 22 (as received from source)"
 CHG23     "Detailed charges 23 (as received from source)"
 REVCD1    "Revenue code 1 (as received from source)"
 REVCD2    "Revenue code 2 (as received from source)"
 REVCD3    "Revenue code 3 (as received from source)"
 REVCD4    "Revenue code 4 (as received from source)"
 REVCD5    "Revenue code 5 (as received from source)"
 REVCD6    "Revenue code 6 (as received from source)"
 REVCD7    "Revenue code 7 (as received from source)"
 REVCD8    "Revenue code 8 (as received from source)"
 REVCD9    "Revenue code 9 (as received from source)"
 REVCD10   "Revenue code 10 (as received from source)"
 REVCD11   "Revenue code 11 (as received from source)"
 REVCD12   "Revenue code 12 (as received from source)"
 REVCD13   "Revenue code 13 (as received from source)"
 REVCD14   "Revenue code 14 (as received from source)"
 REVCD15   "Revenue code 15 (as received from source)"
 REVCD16   "Revenue code 16 (as received from source)"
 REVCD17   "Revenue code 17 (as received from source)"
 REVCD18   "Revenue code 18 (as received from source)"
 REVCD19   "Revenue code 19 (as received from source)"
 REVCD20   "Revenue code 20 (as received from source)"
 REVCD21   "Revenue code 21 (as received from source)"
 REVCD22   "Revenue code 22 (as received from source)"
 REVCD23   "Revenue code 23 (as received from source)"
 UNIT1     "Units of service 1 (as received from source)"
 UNIT2     "Units of service 2 (as received from source)"
 UNIT3     "Units of service 3 (as received from source)"
 UNIT4     "Units of service 4 (as received from source)"
 UNIT5     "Units of service 5 (as received from source)"
 UNIT6     "Units of service 6 (as received from source)"
 UNIT7     "Units of service 7 (as received from source)"
 UNIT8     "Units of service 8 (as received from source)"
 UNIT9     "Units of service 9 (as received from source)"
 UNIT10    "Units of service 10 (as received from source)"
 UNIT11    "Units of service 11 (as received from source)"
 UNIT12    "Units of service 12 (as received from source)"
 UNIT13    "Units of service 13 (as received from source)"
 UNIT14    "Units of service 14 (as received from source)"
 UNIT15    "Units of service 15 (as received from source)"
 UNIT16    "Units of service 16 (as received from source)"
 UNIT17    "Units of service 17 (as received from source)"
 UNIT18    "Units of service 18 (as received from source)"
 UNIT19    "Units of service 19 (as received from source)"
 UNIT20    "Units of service 20 (as received from source)"
 UNIT21    "Units of service 21 (as received from source)"
 UNIT22    "Units of service 22 (as received from source)"
 UNIT23    "Units of service 23 (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE UNIT1
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT2
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT3
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT4
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT5
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT6
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT7
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT8
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT9
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT10
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT11
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT12
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT13
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT14
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT15
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT16
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT17
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT18
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT19
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT20
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT21
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT22
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT23
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).



SAVE OUTFILE = 'NE_SASD_2004_CHGS.SAV' /COMPRESSED.
